# Minecraft Server Installer - Flutter Edition

這是一個使用 Flutter 框架重寫的 Minecraft 伺服器安裝工具，旨在提供一個跨平台的解決方案，讓使用者能在不同作業系統上輕鬆架設自己的 Minecraft 伺服器。

## 背景

此專案的最初版本始於 2020 年，當時使用 C\# 語言開發，並且僅支援 Windows 平台。隨著 Minecraft 的生態系日漸豐富以及跨平台需求的增加，我們決定使用 Flutter 這款現代化的 UI 工具包進行重寫，以觸及更廣泛的使用者。

原有的 C\# 版本專案已經封存，您可以在以下連結找到它：
[https://github.com/an920107/MinecraftServerInstaller-CSharp](https://github.com/an920107/MinecraftServerInstaller-CSharp)

## ✨ 計畫目標與功能

這個 Flutter 重寫版本將繼承原版的核心功能，並致力於帶來更強大、更便利的體驗。我們的目標包括：

  * **跨平台支援**：完美支援 Windows, macOS, Linux 等主流桌面作業系統。
  * **兼容舊有功能**：確保原 C\# 版本中穩定且受歡迎的功能得以保留。
  * **擴充的支援性**：
      * **更多模組啟動器**：除了原有的 Forge 與 Fabric，將陸續支援如 Quilt, NeoForge 等更多模組啟動器。
      * **多樣的插件伺服器**：支援 Spigot, Paper, Purpur 等主流插件伺服器核心。
      * **基岩版 (Bedrock Edition) 伺服器**：新增對官方基岩版伺服器的支援。
  * **自動化更新**：提供自動檢測並更新伺服器核心版本的功能，讓伺服器維護更輕鬆。
  * **現代化的使用者介面**：利用 Flutter 的優勢，打造一個美觀、直覺且反應迅速的操作介面。

## 🚀 開始使用

*(此處將在未來新增建置教學、執行方式或下載連結)*

## 🤝 貢獻

我們歡迎任何形式的貢獻，無論是提交 Issue、提供功能建議，或是直接發送 Pull Request。

